Public Class ClsUsuariosListar
    Implements IUsuariosListar2

    Private conexion As IPrixusConexion

    Public Sub New(conexion As IPrixusConexion)
        Me.conexion = conexion
    End Sub

    ''' <summary>
    ''' Nota: En caso de error retornará DataTable sin filas.
    ''' </summary>    
    Public Function Listar(filtros As IUsuariosListar2Argumentos, idEmpresa As Integer) As DataTable Implements IUsuariosListar2.Listar
        Dim resultado As DataTable = New DataTable

        Try
            Dim listaParametros As New List(Of SqlClient.SqlParameter) 'From {
            'New SqlClient.SqlParameter("@filtro", filtros.FiltroUniversal),
            'New SqlClient.SqlParameter("@idContrato", idContrato),
            'New SqlClient.SqlParameter("@idEmpresa", idEmpresa)}

            resultado = conexion.ObtenerDataTable($"sp_usuariosLeer2 '{filtros.FiltroUniversal}', {idContrato}, {idEmpresa}", listaParametros)
        Catch ex As Exception

        End Try

        Return resultado
    End Function
End Class
